<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  version="2.0">

	<c:choose>
		<c:when test="${param.akceChat == 'odesli'}">
			<!-- TODO: servlet -->
			<jsp:useBean id="odesilac" class="cz.frantovo.nekurak.web.chat.OdesilacZprav" scope="request"/>
			<jsp:setProperty name="odesilac" property="mistnost" value="${param.mistnost}"/>
			<jsp:setProperty name="odesilac" property="od" value="${param.od}"/>
			<jsp:setProperty name="odesilac" property="zprava" value="${param.zprava}"/>

			<c:if test="${odesilac.odeslano}">
				<p>Zpráva byla odeslána.</p>
			</c:if>
		</c:when>
		<c:when test="${param.akceChat == 'vypis'}">
			<!-- TODO: servlet + JSP -->
			<jsp:useBean id="vypis" class="cz.frantovo.nekurak.web.chat.VypisZprav" scope="request"/>
			<jsp:setProperty name="vypis" property="mistnost" value="${param.mistnost}"/>
			<jsp:setProperty name="vypis" property="poradoveCislo" value="${param.poradoveCislo}"/>
			<!-- Náš vlastní XML formát -->
			<zpravy>
				<c:forEach var="z" items="${vypis.zpravy}">
					<zprava>
						<poradoveCislo><c:out value="${z.poradoveCislo}"/></poradoveCislo>
						<od><c:out value="${z.od}"/></od>
						<text><c:out value="${z.text}"/></text>
						<kdy><fmt:formatDate value="${z.kdy}" pattern="yyyy-MM-dd HH:mm:ss"/></kdy>
						<overeny><c:out value="${z.overenyUzivatel}"/></overeny>
					</zprava>
				</c:forEach>
			</zpravy>
		</c:when>
		<c:otherwise>
			<fmt:message key="chat.nadpis" var="titulekStranky"/>
			<nk:stranka titulek="${titulekStranky}">

				<h1><c:out value="${titulekStranky}"/></h1>
				<script type="text/javascript" src="js/chat.js"></script>

				<div id="chat">
					<form action="javascript:ajaxOdesli();" id="odesilaciFormular">
						<fieldset>
							<!-- TODO: jméno místnosti konfigurovat na jednom místě -->
							<input type="hidden" name="mistnost" value="nekurak@konference.frantovo.cz"/>
							<fmt:message key="chat.anonym" var="chatAnonym"/>
							<input title="vaše přezdívka" type="text" name="od" class="chatOd" value="${chatAnonym}"/>
							<input title="text zprávy" type="text" name="text" class="chatText" value="…"/>
							<button type="submit" class="chatOdeslat"><fmt:message key="chat.tlacitkoOdeslat"/></button>
						</fieldset>
					</form>
					<div id="vypisZprav">…</div>
				</div>

				<script type="text/javascript">
					spustCasovac();
				</script>
			</nk:stranka>
		</c:otherwise>
	</c:choose>

</jsp:root>
